Bug 966026 - [abrt] inkscape-0.48.4-4.fc19: handle_error: Process /usr/bin/inkscape was killed by signal 5 (SIGTRAP)
[abrt] inkscape-0.48.4-4.fc19: handle_error: Process /usr/bin/inkscape was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:a5465b29762f83b48c5306e878e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 06:01 EDT by Felix Kaechele
Modified: 2015-02-17 10:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.67 KB, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: core_backtrace (5.55 KB, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: dso_list (14.64 KB, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: environ (2.51 KB, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: maps (73.33 KB, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: open_fds (784 bytes, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details
File: var_log_messages (715 bytes, text/plain)
2013-05-22 06:01 EDT, Felix Kaechele
no flags Details

  None (edit)
Description Felix Kaechele 2013-05-22 06:01:25 EDT
Description of problem:
Readjusting a Line with the Node tool.

Version-Release number of selected component:
inkscape-0.48.4-4.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        inkscape
crash_function: handle_error
executable:     /usr/bin/inkscape
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:212
 #6 XGrabDevice at XGrabDev.c:103
 #7 _gdk_input_grab_pointer at gdkinput-xfree.c:355
 #8 _gdk_windowing_pointer_grab at gdkmain-x11.c:201
 #9 gdk_pointer_grab at gdkwindow.c:10344
 #10 sp_canvas_item_grab at display/sp-canvas.cpp:564
 #11 sp_select_context_item_handler at select-context.cpp:355
 #12 sp_event_context_virtual_item_handler at event-context.cpp:981
 #13 sp_marshal_INT__POINTER_POINTER at helper/sp-marshal.cpp:247
 #17 gtk_signal_emit at gtksignal.c:360

Potential duplicate: bug 714914
Comment 1 Felix Kaechele 2013-05-22 06:01:29 EDT
Created attachment 751631 [details]
File: backtrace
Comment 2 Felix Kaechele 2013-05-22 06:01:33 EDT
Created attachment 751633 [details]
File: cgroup
Comment 3 Felix Kaechele 2013-05-22 06:01:36 EDT
Created attachment 751634 [details]
File: core_backtrace
Comment 4 Felix Kaechele 2013-05-22 06:01:40 EDT
Created attachment 751636 [details]
File: dso_list
Comment 5 Felix Kaechele 2013-05-22 06:01:43 EDT
Created attachment 751637 [details]
File: environ
Comment 6 Felix Kaechele 2013-05-22 06:01:46 EDT
Created attachment 751638 [details]
File: limits
Comment 7 Felix Kaechele 2013-05-22 06:01:49 EDT
Created attachment 751639 [details]
File: maps
Comment 8 Felix Kaechele 2013-05-22 06:01:52 EDT
Created attachment 751640 [details]
File: open_fds
Comment 9 Felix Kaechele 2013-05-22 06:01:56 EDT
Created attachment 751641 [details]
File: proc_pid_status
Comment 10 Felix Kaechele 2013-05-22 06:01:59 EDT
Created attachment 751642 [details]
File: var_log_messages
Comment 11 Maxim Egorushkin 2013-12-14 06:48:05 EST
Inkscape crashed while I was browsing through the top level menus.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/inkscape
crash_function: handle_error
executable:     /usr/bin/inkscape
kernel:         3.11.10-200.fc19.x86_64
package:        inkscape-0.48.4-4.fc19
reason:         Process /usr/bin/inkscape was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Benjamin Ariel Nava Martinez 2014-04-21 19:50:42 EDT
Crash happened when I opened an image file (png) on Inkscape and single-clicked on it.
Happened on Fedora 20 x86_64. Inkscape version 0.48.4-10.fc20
Comment 13 Fedora End Of Life 2015-01-09 13:11:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:18:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.